<?php

namespace Drupal\monarch_hook_plugin\Entity;

use Drupal\ultimate_cron\Entity\CronJob as UltimateCronCronJob;

/**
 * Extends the CronJob entity to use proper module hook invocation.
 */
class CronJob extends UltimateCronCronJob {

  /**
   * {@inheritdoc}
   */
  public function isValid() {
    return $this->moduleHandler()->hasImplementations('cron', $this->module);
  }

  /**
   * Invokes the jobs callback.
   */
  protected function invokeCallback() {
    return $this->moduleHandler()->invoke($this->module, 'cron');
  }

}
